Appointment Calendars
Check appointment availability for calendar
Returns bookable slots between startDate and endDate, accounting for existing appointments, buffers, and connected external calendars.
GET
/
v1
/
appointment-calendars
/
{id}
/
availability
Check appointment availability for calendar
curl --request GET \
--url https://app.chatbotx.io/api/v1/appointment-calendars/{id}/availability \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.chatbotx.io/api/v1/appointment-calendars/{id}/availability"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.chatbotx.io/api/v1/appointment-calendars/{id}/availability', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"text": "<string>",
"slots": [
{
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z"
}
]
}{
"defined": true,
"code": "businessError",
"status": 400,
"message": "An error occurred while processing your request",
"data": "<unknown>"
}{
"defined": true,
"code": "UNAUTHORIZED",
"status": 401,
"message": "Authentication required",
"data": "<unknown>"
}{
"defined": true,
"code": "FORBIDDEN",
"status": 403,
"message": "You do not have permission to perform this action",
"data": "<unknown>"
}{
"defined": true,
"code": "notFound",
"status": 404,
"message": "Resource not found",
"data": "<unknown>"
}{
"defined": true,
"code": "invalidRequestData",
"status": 422,
"message": "Input validation failed",
"data": {
"issues": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}
}{
"defined": true,
"code": "tooManyRequests",
"status": 429,
"message": "Too many requests",
"data": "<unknown>"
}{
"defined": true,
"code": "INTERNAL_SERVER_ERROR",
"status": 500,
"message": "An unexpected error occurred",
"data": "<unknown>"
}Authorizations
bearerAuthdeveloperAccessTokentokenInSearchParams
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Appointment calendar id. Get it from appointmentCalendars.list.
Pattern:
^\d+$Query Parameters
Start of the range to check for available slots.
End of the range to check for available slots.
Contact id to exclude their own existing bookings from the daily/per-user limits.
Pattern:
^\d+$Was this page helpful?
⌘I
Check appointment availability for calendar
